--main.lua
Button = require ("button")
Menu = require ("menu")

-- Example usage
function love.load()
	local buttons = {
		Button:new(100, 100, 200, 50, "Button 1", function() print("Button 1 clicked") end),
		Button:new(100, 200, 200, 50, "Button 2", function() print("Button 2 clicked") end),
		Button:new(100, 300, 200, 50, "Exit", function() love.event.quit( ) end),
	}
	menu = Menu:new(buttons)
end

function love.update(dt)
	menu:update(dt)
end

function love.draw()
	menu:draw()
end

function love.mousepressed(x, y, button)
	menu:mousepressed(x, y, button)
end

function love.mousemoved( x, y, dx, dy, istouch )
	menu:isMoved(x, y)
end

function love.keypressed(k)
   if k == 'escape' then
      love.event.quit()
   end
end